---@meta

---@class UVPRolesUserSettings : UObject
---@field Roles FGameplayTagContainer
---@field RoleSources TSet<FName>
---@field CachedRoles TArray<FString>
local UVPRolesUserSettings = {}



---@class UVirtualProductionRolesSubsystem : UEngineSubsystem
---@field OnRolesChangedBP FVirtualProductionRolesSubsystemOnRolesChangedBP
local UVirtualProductionRolesSubsystem = {}

---@param Roles TArray<FString>
function UVirtualProductionRolesSubsystem:SetActiveRoles(Roles) end
---@param EnabledRoles TArray<FString>
function UVirtualProductionRolesSubsystem:OnRolesChanged__DelegateSignature(EnabledRoles) end
---@param Role FString
---@return boolean
function UVirtualProductionRolesSubsystem:HasActiveRole(Role) end
---@return TArray<FString>
function UVirtualProductionRolesSubsystem:GetAllRoles() end
---@return FString
function UVirtualProductionRolesSubsystem:GetActiveRolesString() end
---@return TArray<FString>
function UVirtualProductionRolesSubsystem:GetActiveRoles() end


